from .operators import login_operator, logout_operator, render_operator, finished_operator, website_operator, settings_operator, render_statuses_operator
from .panels import render_panel
from .utils import util

bl_info = {
    "name": "Render on ScaleRender",
    "author": "scalerender.net",
    "version": (1, 0),
    "blender": (3, 0, 0),
    "location": "scalerender",
    "description": "Render on scalerender.net",
    "category": "Render",
}

def register():
    login_operator.register()
    logout_operator.register()
    render_operator.register()
    finished_operator.register()
    render_panel.register()
    settings_operator.register()
    website_operator.register()
    render_statuses_operator.register()


def unregister():
    login_operator.unregister()
    logout_operator.unregister()
    render_operator.unregister()
    finished_operator.unregister()
    render_panel.unregister()
    settings_operator.unregister()
    website_operator.unregister()
    render_statuses_operator.unregister()