import bpy
import webbrowser

class RENDERFARM_OT_finished(bpy.types.Operator):
    bl_idname = "scalerender.finished"
    bl_label = "Render Finished"
    bl_options = {'REGISTER', 'UNDO'}

    uuid: bpy.props.StringProperty()  # String property to store the UUID
    render_name: bpy.props.StringProperty()  # String property to store the render name

    def execute(self, context):
        # Retrieve the render name and UUID from the operator properties
        render_uuid = self.uuid
        render_name = self.render_name

        # Notify the user that the render is finished
        message = f"Render '{render_name}' on scalerender.net has finished!"
        self.report({'INFO'}, message)

        render_files_url = "https://scalerender.net/renderedFiles"
        self.report({'INFO'}, f"Access your rendered files at: {render_files_url}")

        return {'FINISHED'}


def register():
    bpy.utils.register_class(RENDERFARM_OT_finished)

def unregister():
    bpy.utils.unregister_class(RENDERFARM_OT_finished)