import bpy


class LOGOUT_OT_ScaleRender(bpy.types.Operator):
    bl_idname = "scalerender.logout_operator"
    bl_label = "Logout from ScaleRender"

    def execute(self, context):
        # Clear the token property
        prefs = context.preferences.addons['scalerender'].preferences
        prefs.scalerender_token = ""
        self.report({'INFO'}, "Logged out of ScaleRender")
        return {'FINISHED'}


def menu_func(self, context):
    self.layout.operator(LOGOUT_OT_ScaleRender.bl_idname, text="ScaleRender Logout")


def register():
    bpy.utils.register_class(LOGOUT_OT_ScaleRender)
    bpy.types.TOPBAR_MT_render.append(menu_func)


def unregister():
    bpy.utils.unregister_class(LOGOUT_OT_ScaleRender)
    bpy.types.TOPBAR_MT_render.remove(menu_func)