import bpy
import webbrowser


class OPENWEB_OT_GoToWebsite(bpy.types.Operator):
    """Open scalerender.net in the web browser"""
    bl_idname = "openweb.goto_website"
    bl_label = "View Renders on scalerender.net"

    url: bpy.props.StringProperty(
        name="URL",
        description="Scalerender URL",
        default="https://scalerender.net/renderedFiles/"
    )

    def execute(self, context):
        webbrowser.open(self.url)
        return {'FINISHED'}


def menu_func(self, context):
    self.layout.operator(OPENWEB_OT_GoToWebsite.bl_idname, text="View Renders on scalerender.net")


def register():
    bpy.utils.register_class(OPENWEB_OT_GoToWebsite)
    bpy.types.TOPBAR_MT_render.append(menu_func)


def unregister():
    bpy.utils.unregister_class(OPENWEB_OT_GoToWebsite)
    bpy.types.TOPBAR_MT_render.remove(menu_func)